> ## Documentation Index
> Fetch the complete documentation index at: https://docs.compasslabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Token Balance

> Returns the balance of a specific ERC20 token for a given user address.



## OpenAPI

````yaml /v1/combined_spec.json get /v1/token/balance
openapi: 3.1.0
info:
  title: Compass API
  description: Compass Labs DeFi API
  version: 0.0.1
servers:
  - url: https://api.compasslabs.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/token/balance:
    get:
      tags:
        - Token
      summary: Token Balance
      description: Returns the balance of a specific ERC20 token for a given user address.
      operationId: v1_token_balance
      parameters:
        - name: chain
          in: query
          required: true
          schema:
            type: string
            enum:
              - arbitrum
              - base
              - ethereum
            title: Chain
            default: arbitrum
        - name: user
          in: query
          required: true
          schema:
            type: string
            default: '0x29F20a192328eF1aD35e1564aBFf4Be9C5ce5f7B'
            title: User
          description: The user to get the token balance of.
        - name: token
          in: query
          required: true
          schema:
            type: string
            title: Token
            description: >-
              A token identifier - either a supported symbol (e.g., USDC, WETH)
              or a valid Ethereum address (0x...)
            examples:
              - USDC
              - WETH
              - '0xA0b86a33E6441ccF30EE5DdEF1E9b652C91ac1c8'
            default: USDC
          description: The symbol or address of the token for which the balance is checked.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenBalanceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from compass_api_sdk import CompassAPI, models


            with CompassAPI(
                api_key_auth="<YOUR_API_KEY_HERE>",
            ) as compass_api:

                res = compass_api.token.token_balance(chain=models.V1TokenBalanceChain.ARBITRUM, user="0x29F20a192328eF1aD35e1564aBFf4Be9C5ce5f7B", token="USDC")

                # Handle response
                print(res)
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { CompassApiSDK } from "@compass-labs/api-sdk";

            const compassApiSDK = new CompassApiSDK({
              apiKeyAuth: "<YOUR_API_KEY_HERE>",
            });

            async function run() {
              const result = await compassApiSDK.token.tokenBalance({
                chain: "arbitrum",
                user: "0x29F20a192328eF1aD35e1564aBFf4Be9C5ce5f7B",
                token: "USDC",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    TokenBalanceResponse:
      properties:
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
          description: Amount of tokens a particular address holds
          examples:
            - 1.5
        decimals:
          type: integer
          title: Decimals
          description: Number of decimals of the token
          examples:
            - 18
        token_symbol:
          type: string
          title: Token Symbol
          description: Symbol of the token
        token_address:
          type: string
          title: Token Address
          description: Address of the token
          examples:
            - '0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2'
      type: object
      required:
        - amount
        - decimals
        - token_symbol
        - token_address
      title: TokenBalanceResponse
      description: Response model for token balance information.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Your Compass API Key. Get your key
        [here](https://www.compasslabs.ai/dashboard).

````